PHP Manual
Prev |  | Next

# px_get_info

(PECL)

px_get_info -- Return lots of information about a paradox file

## Description

array px_get_info ( resource pxdoc )

## Parameters

pxdoc

  Resource identifier of the paradox database as returned by px_new().

## Return Values

Returns an associated array with lots of information about a paradox file. This array is likely to be extended in the future.

fileversion

  Version of file multiplied by 10, e.g. 70.

tablename

  Name of table as stored in the file. If the database was created by pxlib, then this will be the name of the file without the extension.

numrecords

  Number of records in this table.

numfields

  Number of fields in this table.

headersize

  Number of bytes used for the header. This is usually 0x800.

recordsize

  Number of bytes used for each record. This is the sum of all field sizes (available since version 1.4.2).

maxtablesize

  This value multiplied by 0x400 is the size of a data block in bytes. The maximum number of records in a datablock is the integer part of (maxtablesize * 0x400 - 8) / recordsize.

numdatablocks

  The number of data blocks in the file. Each data block contains a certain number of records which depends on the record size and the data block size (maxtablesize). Data blocks may not necessarily be completely filled.

numindexfields

  Number of fields used for the primary index. The fields do always start with field number 1.

codepage

  The DOS codepage which was used for encoding fields with character data. If the target encoding is not set with px_set_targetencoding() this will be the encoding for character fields when records are being accessed with px_get_record() or px_retrieve_record().

## See Also

px_numfields()
px_numrecords()

Prev | Home | Next
px_get_field | Up | px_get_parameter